Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables

# missing/strerror.c File Reference

Go to the source code of this file.

## Functions
char * | strerror (int error)
## Variables
int | sys_nerr
char * | sys_errlist []
static char | msg [50]

## Function Documentation

char* strerror | ( | int | error | ) |

Definition at line 9 of file strerror.c.

References msg, and sys_errlist.

Referenced by argf_next_argv(), dln_load(), dln_strerror(), inspect_errno(), ossl_pkey_new_from_file(), ossl_x509_new_from_file(), rb_bug_errno(), rb_load_fail(), rb_sys_warning(), rb_w32_strerror(), and syserr_initialize().

## Variable Documentation

char msg[50]`[static]`

Definition at line 6 of file strerror.c.

Referenced by iconv_create(), ip_set_exc_message(), ole_hresult2msg(), ole_msg_loop(), ossl_make_error(), ossl_pkcs7_verify(), rescue_callback(), and strerror().

char* sys_errlist[]

Referenced by strerror().

int sys_nerr

Referenced by rb_w32_strerror().